/* ===== 年齢確認モーダル ===== */

/* モーダル背景 */
.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.modal.active {
    display: flex;
}

/* モーダル本体 */
.age-selection-container {
    background-color: white;
    border: 1px solid var(--sc1);
    width: 335px;
    height: 247px;
    position: relative;
    padding-top: 40px;
}

.age-selection-title {
    font-weight: bold;
    font-size: 18px;
    padding: 0 15px;
    margin: 0 0 15px 0;
    text-align: center;
}

.buttons-container {
    display: flex;
    justify-content: space-evenly;
}

.age-button {
    display: flex;
    box-sizing: border-box;
    width: 122px;
    height: 119px;
    /*border: 1px solid #a5a5a5;*/
    background-color: white;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    justify-content: center;
    align-items: center;
    border-radius: 20px;
}

#under69Button.age-button {
    background-color: #F39618;
}

#over70Button.age-button {
    background-color: #216EB7;
}

.age-button-text {
    font-weight: bold;
    font-size: 32px;
    text-align: center;
    color: #ffffff;
    line-height: 1.2;
}

.age-button.selected .age-button-text {
    color: white;
}

.close-btn {
    position: absolute;
    top: -14px;
    right: -14px;
    font-size: 18px;
    line-height: 18px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--sc1);
    border: 3px solid var(--sc1);
    width: 32px;
    height: 32px;
    background-color: #ffffff;
    border-radius: 15px;
    text-align: center;
}

/* ===== iframe コンテナ（フッター直上） ===== */
#entryFrameWrapper {
    display: none;
    padding: 20px 0px;
}

#entryFrame {
    width: 100%;
    border: none;
    display: block;
}
